Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.prg.exception
Class EncogProgramCompileError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.encog.EncogError
                      org.encog.ml.prg.exception.EncogProgramError
                          org.encog.ml.prg.exception.EncogProgramCompileError

All Implemented Interfaces:
  Serializable

    public class EncogProgramCompileError

extends EncogProgramError

An error compiling an Encog Program.

See Also:
  Serialized Form

Constructor Summary
`EncogProgramCompileError(String msg)` Construct a message exception.
`EncogProgramCompileError(String msg, Throwable t)` Construct an exception that holds another exception.
`EncogProgramCompileError(Throwable t)` Construct an exception that holds another exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EncogProgramCompileError

    public EncogProgramCompileError(String msg)

  Construct a message exception.

  Parameters:
    `msg` - The exception message.

### EncogProgramCompileError

    public EncogProgramCompileError(String msg,
                                    Throwable t)

  Construct an exception that holds another exception.

  Parameters:
    `msg` - A message.
    `t` - The other exception.

### EncogProgramCompileError

    public EncogProgramCompileError(Throwable t)

  Construct an exception that holds another exception.

  Parameters:
    `t` - The other exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.